Hide/show group of parts

Is there a way to select a group of parts in model space and hide the rest
of the assembly. I am using 2004
Reply to
Matt Zimmerman
Loading thread data ...
No you can only select parts then hide those. If you want to hide other parts then you will have to pick those. You can do it either in the Graphics area of in the FM.
Regards, Scott
Reply to
Scott
Just a thought here. A macro should be able to traverse the FM tree and reverse the selections. Then you could tell it to hide, suppress, etc.
WT
Reply to
Wayne Tiffany
As an exercise for the student, make this macro a noshow. Hint: look for the hidebodies method. Must preselect items to show or hide.
' ****************************************************************************** ' SHOW.swb - macro recorded on 06/21/04 by kellnerp ' ****************************************************************************** Dim swApp As Object Dim Part As Object Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Dim FeatureData As Object Dim Feature As Object Dim Component As Object Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc Part.FeatureManager.ShowBodies Part.ClearSelection2 True
End Sub
Reply to
P
How about using a folder to put parts to display? Then just right click the folder to suppress or unsuppress all parts in that folder. Incontext parts would be screwed up though!
Keith
Reply to
Keith Streich
Try the Visibility Toggling program at:
formatting link
It cost's $20, but it does eactly what you're looking for plus a couple other things.
Ken
Reply to
TinMan

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.